Bug 198402 - Package privoxy lacks IPv6 support
Summary: Package privoxy lacks IPv6 support
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: privoxy   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks: IPv6Blocker
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:27 UTC by Peter Vrabec
Modified: 2008-05-07 00:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 00:37:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IPv6 support, new option in ./configure (--enable-ipv6) (30.62 KB, patch)
2006-09-13 20:01 UTC, Daniel Kopeček
no flags Details | Diff
Fixed +- lines in loadcfg.c comment (30.06 KB, patch)
2006-09-14 08:33 UTC, Daniel Kopeček
no flags Details | Diff
Fixed stupid address family recognition (29.10 KB, patch)
2006-09-26 21:50 UTC, Daniel Kopeček
no flags Details | Diff
Fixed bugs in mask_cmp (20.10 KB, patch)
2006-11-19 12:49 UTC, Daniel Kopeček
no flags Details | Diff

Description Peter Vrabec 2006-07-11 10:27:21 UTC
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/privoxy-3.0.3-stable/jbsockets.c:321:   inaddr.sin_family      = AF_INET;
/privoxy-3.0.3-stable/jbsockets.c:574:   inaddr.sin_family      = AF_INET;
/privoxy-3.0.3-stable/jbsockets.c:595:   fd = socket(AF_INET, SOCK_STREAM, 0);
/privoxy-3.0.3-stable/jbsockets.c:720:                      sizeof(server.sin_addr), AF_INET,
/privoxy-3.0.3-stable/jbsockets.c:725:                      sizeof(server.sin_addr), AF_INET,
/privoxy-3.0.3-stable/jbsockets.c:729:                               sizeof(server.sin_addr), AF_INET,
/privoxy-3.0.3-stable/jbsockets.c:741:                           sizeof(server.sin_addr), AF_INET);
/privoxy-3.0.3-stable/jbsockets.c:745:                           sizeof(server.sin_addr), AF_INET);
/privoxy-3.0.3-stable/jbsockets.c:836:      if (hostp->h_addrtype != AF_INET)
/privoxy-3.0.3-stable/amiga.c:114:      local_csp->cfd=ObtainSocket(local_csp->cfd, AF_INET, SOCK_STREAM, 0);

Comment 1 Daniel Kopeček 2006-09-13 20:01:22 UTC
Created attachment 136199 [details]
IPv6 support, new option in ./configure (--enable-ipv6)

Comment 2 Daniel Kopeček 2006-09-13 20:42:27 UTC
I haven't tested everything, but I'll go thru it again and eventually send a 
new patch. In case somebody have complaints or have found a bug, I'll rework it 
accordingly.



Comment 3 Daniel Kopeček 2006-09-14 08:33:02 UTC
Created attachment 136239 [details]
Fixed +- lines in loadcfg.c comment

Comment 4 Daniel Kopeček 2006-09-26 21:50:12 UTC
Created attachment 137176 [details]
Fixed stupid address family recognition

Comment 5 Daniel Kopeček 2006-11-19 12:49:28 UTC
Created attachment 141583 [details]
Fixed bugs in mask_cmp

Comment 6 Bug Zapper 2008-04-03 17:41:33 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:37:34 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.